<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 
include_once("$g4[path]/zm.extend/zm.lib.passwdq.php");

$passwdq	= loadpasswdq();					//-- 비밀번호 질문. 배열

//-- 전화번호 쪼개기
$tmptel		= explode("-", $member[mb_tel]);
$member[mb_tel1] = $tmptel[0]; $member[mb_tel2] = $tmptel[1]; $member[mb_tel3] = $tmptel[2];
$tmphp		= explode("-", $member[mb_hp]);
$member[mb_hp1]	= $tmphp[0]; $member[mb_hp2] = $tmphp[1]; $member[mb_hp3] = $tmphp[2];

//-- 수정 시 휴대전화 번호 인증 여부를 판단하여 기존 번호를 설정
if(substr($zm_member[sms_certify], 0, 4) == "0000") {
	$auth_tel	= "";
	$sms_certify_result	= "";
}else{
	$auth_tel	= $member[mb_hp];
	$sms_certify_result	= "1";
}

//-- 로그인 돼 있을 때 회원정보 관리 메뉴 포함
if($is_member) include_once($member_skin_path."/zm.userinfo_menu.skin.php");
?>
<style type="text/css">
<!--
.m_title    { BACKGROUND-COLOR:#F9F9F9; PADDING:5px 0 5px 20px; color:#333333; font-weight:bold; }
.m_padding  { PADDING-LEFT: 15px; PADDING-BOTTOM: 5px; PADDING-TOP: 5px; }
.m_padding2 { PADDING-LEFT: 0px; PADDING-top: 5px; PADDING-BOTTOM: 0px; }
.m_padding3 { PADDING-LEFT: 0px; PADDING-top: 5px; PADDING-BOTTOM: 5px; }
.message	{ color:#666666; font-size:11px; font-family:돋움; }
.message2	{ color:#FF6C00; font-size:11px; font-family:굴림; padding:2px; }

#sms_certify a	{ cursor:pointer; }
#sms_certify_ok	{ display:none; }
-->
</style>

<script>
var sms_certify	= "<?=$zm_config[sms_certify]?>";
var member_skin_path = "<?=$member_skin_path?>";
</script>
<script type="text/javascript" src="<?=$member_skin_path?>/ajax_register_form.jquery.js"></script>
<script type="text/javascript" src="<?=$g4[path]?>/js/md5.js"></script>
<script type="text/javascript" src="<?=$g4[path]?>/js/sideview.js"></script>

<form id="fregisterform" name=fregisterform method=post onsubmit="return fregisterform_submit(this);" enctype="multipart/form-data" autocomplete="off">
<input type=hidden name=w                value="<?=$w?>">
<input type=hidden name=url              value="<?=$urlencode?>">
<input type=hidden name=mb_jumin         value="<?=$jumin?>">
<input type=hidden name=mb_id_enabled    value="" id="mb_id_enabled">
<input type=hidden name=mb_nick_enabled  value="" id="mb_nick_enabled">
<input type=hidden name=mb_email_enabled value="" id="mb_email_enabled">
<!-- <input type=hidden name=token value="<?=$token?>"> -->

<table width=880 cellspacing=0 align=center style="clear:both;">
<tr>
    <td><img src="<?=$member_skin_path?>/img/join_form_title.gif"></td>
</tr>
<tr>
	<td><span class="message">회원정보는 개인정보취급방침에 따라 안전하게 보호되며, 회원님의 명백한 동의 없이 공개 또는 제3자에게 제공되지 않습니다.</span></td>
</tr>
<tr>
	<td>
<table width="100%" cellspacing="0" cellpadding="0">
<tr>
    <td bgcolor="#E6E6E6">
        <TABLE cellSpacing=1 cellPadding=0 width=100%>
        <TR bgcolor="#FFFFFF">
            <TD width="130" class=m_title>아이디</TD>
            <TD class=m_padding>
                <input class=ed maxlength=20 size=20 id='reg_mb_id' name="mb_id" value="<?=$member[mb_id]?>" <? if ($w=='u') { echo "readonly style='background-color:#dddddd;'"; } ?>
                    <? if ($w=='') { echo "onblur='reg_mb_id_check();'"; } ?> required itemname="아이디">  <span id='msg_mb_id' class="message2"></span>
                <div class="message2">영문자, 숫자, _ 만 입력 가능. 최소 3자이상 입력하세요.</div>
            </TD>
        </TR>
<? if($w != "u") : ?>
        <TR bgcolor="#FFFFFF">
            <TD class=m_title>비밀번호</TD>
            <TD class=m_padding><INPUT class=ed type=password name="mb_password" size=20 maxlength=20 <?=($w=="")?"required":"";?> itemname="비밀번호"> <span class="message">영문, 숫자를 조합하여 6자 이상 적어 주세요.</span></TD>
        </TR>
        <TR bgcolor="#FFFFFF">
            <TD class=m_title>비밀번호 확인</TD>
            <TD class=m_padding><INPUT class=ed type=password name="mb_password_re" size=20 maxlength=20 <?=($w=="")?"required":"";?> itemname="비밀번호 확인"></TD>
        </TR>
<? endif; ?>
<? if($zm_config[usepasswdq]) : ?>
        <TR bgcolor="#FFFFFF">
            <TD class=m_title>비밀번호 분실시 질문</TD>
            <TD class=m_padding>
                <select name=mb_password_q_select onchange="this.form.mb_password_q.value=this.value;">
				<optgroup label="-- 질문을 선택 해 주세요. --">
<?			for($i = 0; $i < count($passwdq); $i++) :
				if($passwdq[$i] == $member[mb_password_q]) $strsel = "selected"; else $strsel = ""; ?>
				<option value="<?=$passwdq[$i]?>" <?=$strsel?>><?=$passwdq[$i]?></option>
<?			endfor; ?>	
				</optgroup>
                </select>
				<input type="hidden" name="mb_password_q" value="<?=$passwdq[0]?>">
            </TD>
        </TR>
        <TR bgcolor="#FFFFFF">
            <TD class=m_title>비밀번호 분실시 답변</TD>
            <TD class=m_padding><input class=ed type=text name='mb_password_a' size=38 required itemname='비밀번호 분실시 답변' value='<?=$member[mb_password_a]?>'></TD>
        </TR>
<? endif; ?>
		</TABLE>
    </td>
</tr>
</table>

<table width="100%" cellspacing="0" cellpadding="0">
<tr>
    <td height="1" bgcolor="#ffffff"></td>
</tr>
</table>

<table width="100%" cellspacing="0" cellpadding="0">
<tr>
    <td bgcolor="#E6E6E6">
        <TABLE cellSpacing=1 cellPadding=0 width=100%>
        <TR bgcolor="#FFFFFF">
            <TD width=130 class=m_title>이름</TD>
            <TD class=m_padding>
                <input name=mb_name itemname="이름" value="<?=$member[mb_name]?>" <?=$member[mb_name]?"readonly class=ed2":"class=ed";?> required> 
                <? if ($w=='') { echo "<span class='message'>(공백없이 한글만 입력 가능)</span>"; } ?>
            </TD>
        </TR>

<? if ($member[mb_nick_date] <= date("Y-m-d", $g4[server_time] - ($config[cf_nick_modify] * 86400))) { // 별명수정일이 지났다면 수정가능
		$strread	= "";
} else { 
		$strread	= "readonly";
?>
        <input type=hidden name="mb_nick_default" value='<?=$member[mb_nick]?>'>
        <input type=hidden name="mb_nick" value="<?=$member[mb_nick]?>">
<? } ?>
        <input type=hidden name=mb_nick_default value='<?=$member[mb_nick]?>'>
        <TR bgcolor="#FFFFFF">
            <TD class=m_title>별명</TD>
            <TD class='m_padding lh'>
                <input class=ed type=text id='reg_mb_nick' name='mb_nick' maxlength=20 value='<?=$member[mb_nick]?>' onblur="reg_mb_nick_check();" <?=$strread?> required>
                <span id='msg_mb_nick'></span>
				<span class="message">공백없이 한글,영문,숫자만 입력 가능 (한글2자, 영문4자 이상)</span>
                <div class="message">별명을 바꾸고 <?=(int)$config[cf_nick_modify]?>일 이내에는 변경 할 수 없습니다. <?=($member[mb_nick_date])?"(마지막 변경:".$member[mb_nick_date].")" : ""?><br>욕설이나 미풍양속에 어긋나는 별명 사용 시 ID이용이 제한될 수 있습니다.</div>
            </TD>
        </TR>
        <input type=hidden name='old_email' value='<?=$member[mb_email]?>'>
        <TR bgcolor="#FFFFFF">
            <TD class=m_title>이메일</TD>
            <TD class='m_padding lh'>
                <input class=ed type=text id='reg_mb_email' name='mb_email' size=38 maxlength=100 value='<?=$member[mb_email]?>'
                    onblur="reg_mb_email_check()" <?=($config[cf_email_use])?'required':'';?>>
                <span id='msg_mb_email' class="message2"></span>
				<span class="message2">
                <? if ($config[cf_use_email_certify]) { ?>
                    <? if ($w=='') { echo "<br>이메일로 발송된 내용을 확인한 후 인증하셔야 회원가입이 완료됩니다."; } ?>
                    <? if ($w=='u') { echo "<br>이메일 주소를 변경하시면 다시 인증하셔야 합니다."; } ?>
                <? } ?>
				</span>
            </TD>
        </TR>
        <? if ($config[cf_use_tel]) { ?>
        <TR bgcolor="#FFFFFF">
            <TD class=m_title>전화번호</TD>
            <TD class=m_padding><input class=ed type=text name='mb_tel1' size=4 maxlength=4 <?=$config[cf_req_tel]?'required':'';?> itemname='전화번호' value='<?=$member[mb_tel1]?>'> -
			<input class=ed type=text name='mb_tel2' size=4 maxlength=4 <?=$config[cf_req_tel]?'required':'';?> itemname='전화번호' value='<?=$member[mb_tel2]?>'> -
			<input class=ed type=text name='mb_tel3' size=4 maxlength=4 <?=$config[cf_req_tel]?'required':'';?> itemname='전화번호' value='<?=$member[mb_tel3]?>'></TD>
        </TR>
        <? } ?>

        <? if ($config[cf_use_hp]) { ?>
        <TR bgcolor="#FFFFFF">
            <TD class=m_title>휴대전화</TD>
            <TD class=m_padding><input class=ed type=text name='mb_hp1' size=4 maxlength=4 <?=$config[cf_req_hp]?'required':'';?> itemname='휴대전화' value='<?=$member[mb_hp1]?>'> -
			<input class=ed type=text name='mb_hp2' size=4 maxlength=4 <?=$config[cf_req_hp]?'required':'';?> itemname='휴대전화' value='<?=$member[mb_hp2]?>'> -
			<input class=ed type=text name='mb_hp3' size=4 maxlength=4 <?=$config[cf_req_hp]?'required':'';?> itemname='핸드폰번호' value='<?=$member[mb_hp3]?>'>
		<? if($zm_config[sms_certify]) : ?>
			<span id="sms_certify"><a onClick="open_sms_certify('<?=$member_skin_path?>')"><img src="<?=$member_skin_path?>/img/sms_certify_btn.gif" align="absmiddle"></a></span>
			<span id="sms_certify_ok"><img src="<?=$member_skin_path?>/img/sms_certify_ok_btn.gif" align="absmiddle"></span>
		<? endif; ?>
			</TD>
        </TR>
        <? } ?>
<? if($zm_config[mylocal]) : ?>
		<TR bgcolor="#FFFFFF">
            <TD class=m_title>자주 접속하는 지역</TD>
            <TD valign="middle" class=m_padding><select name='in_mylocal2' onChange="loadlocal(this.value)">
			<option value="">선택</option>
<?		for($i = 0; $i < count($ar_local); $i++) : ?>
			<option value='<?=$ar_local[$i]?>' <?=($mylocation[0]==$ar_local[$i])?'selected':''?>><?=$ar_local[$i]?></option>
<?		endfor; ?>
			</select>
			<span id="mylocal">
			<select name='in_mylocal'>
			<option>지역 선택</option>
		<?=($mylocation[1])?"<option selected>$mylocation[1]</option>":""?>
			</select></span></td>
        </TR>
<? endif; ?>
        <? if ($config[cf_use_addr]) { ?>
        <TR bgcolor="#FFFFFF">
            <TD class=m_title>주소</TD>
            <TD valign="middle" class=m_padding>
                <table width="330" border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <td height="25"><input class=ed type=text name='mb_zip1' size=4 maxlength=3 readonly <?=$config[cf_req_addr]?'required':'';?> itemname='우편번호 앞자리' value='<?=$member[mb_zip1]?>'>
                         - 
                        <input class=ed type=text name='mb_zip2' size=4 maxlength=3 readonly <?=$config[cf_req_addr]?'required':'';?> itemname='우편번호 뒷자리' value='<?=$member[mb_zip2]?>'>
                        &nbsp;<a href="javascript:;" onclick="win_zip('fregisterform', 'mb_zip1', 'mb_zip2', 'mb_addr1', 'mb_addr2');"><img width="91" height="20" src="<?=$member_skin_path?>/img/post_search_btn.gif" border=0 align=absmiddle></a></td>
                </tr>
                <tr>
                    <td height="25" colspan="2"><input class=ed type=text name='mb_addr1' size=60 readonly <?=$config[cf_req_addr]?'required':'';?> itemname='주소' value='<?=$member[mb_addr1]?>'></td>
                </tr>
                <tr>
                    <td height="25" colspan="2"><input class=ed type=text name='mb_addr2' size=60 <?=$config[cf_req_addr]?'required':'';?> itemname='상세주소' value='<?=$member[mb_addr2]?>'></td>
                </tr>
                </table>
            </TD>
        </TR>
        <? } ?>

        </TABLE>
    </td>
</tr>
</table>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
    <td height="1" bgcolor="#ffffff"></td>
</tr>
</table>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
    <td bgcolor="#E6E6E6">
        <TABLE cellSpacing=1 cellPadding=0 width=100%>
        <? if ($config[cf_use_profile]) { ?>
        <TR bgcolor="#FFFFFF">
            <TD width=130 class=m_title>자기소개</TD>
            <TD class=m_padding><textarea name=mb_profile class=tx rows=3 style='width:95%;' <?=$config[cf_req_profile]?'required':'';?> itemname='자기 소개'><?=$member[mb_profile]?></textarea></TD>
        </TR>
        <? } ?>

        <? if ($member[mb_level] >= $config[cf_icon_level]) { ?>
        <TR bgcolor="#FFFFFF">
            <TD width=130 class=m_title>회원아이콘</TD>
            <TD class=m_padding><INPUT class=ed type=file name='mb_icon' size=30>
                <div class="message2">이미지 크기는 가로 <?=$config[cf_member_icon_width]?>px, 세로<?=$config[cf_member_icon_height]?>px 이하로 해주세요. GIF / <?=number_format($config[cf_member_icon_size])?>Byte 이하만 사용 가능합니다.
<?			if ($w == "u" && file_exists($mb_icon)) { ?>
				<img src='<?=$mb_icon?>' align=absmiddle> <input type=checkbox name='del_mb_icon' value='1'>삭제
<?			} ?>
				</div>
			</TD>
        </TR>
        <? } ?>

        <TR bgcolor="#FFFFFF">
            <TD width=130 class=m_title>메일링서비스</TD>
            <TD class=m_padding><input type=checkbox name=mb_mailling value='1' <?=($w=='' || $member[mb_mailling])?'checked':'';?>>정보 메일을 받겠습니다.</TD>
        </TR>
        <TR bgcolor="#FFFFFF">
            <TD width=130 class=m_title>SMS 수신여부</TD>
            <TD class=m_padding><input type=checkbox name=mb_sms value='1' <?=($w=='' || $member[mb_sms])?'checked':'';?>>SMS를 받겠습니다.</TD>
        </TR>
<? if($w != "u") : ?>
        <TR bgcolor="#FFFFFF"> 
            <TD width=130 class=m_title>프로필 공개</TD> 
            <TD class=m_padding><input type=checkbox name=mb_open value='1' checked> 네임카드 형식으로 프로필이 공개 됩니다.</td> 
        </TR>
<? endif; ?>
        <? if ($w == "" && $config[cf_use_recommend]) { ?>
        <TR bgcolor="#FFFFFF">
            <TD width=130 class=m_title>추천인아이디</TD>
            <TD class=m_padding><input type=text name=mb_recommend class=ed></TD>
        </TR>
        <? } ?>

        </TABLE>
    </td>
</tr>
</table>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
    <td height="1" bgcolor="#ffffff"></td>
</tr>
</table>
<? if($w != "u") : ?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
    <td bgcolor="#E6E6E6">
        <TABLE cellSpacing=1 cellPadding=0 width=100%>
        <TR bgcolor="#FFFFFF">
            <td width=150 height="28"  bgcolor="#ffffff">
                <img src="<?=$g4[path]?>/zm.extend/captcha/captcha.php" width="120" id="captcha" />
				<a href="#" onclick="
    document.getElementById('captcha').src='<?=$g4[path]?>/zm.extend/captcha/captcha.php?'+Math.random();
    document.getElementById('captcha-form').focus();"
    id="change-image"><img src="<?=$g4[path]?>/zm.extend/captcha/refresh.gif" title="새로고침"></a>
            </td>
            <td class=m_padding>
                <input type=input class=ed size=10 name=wr_key itemname="자동등록방지" required>&nbsp;&nbsp;왼쪽의 글자를 입력하세요.
            </td>
        </tr>
        </table>
    </td>
</tr>
</table>
<? endif; ?>
<p align=center>
    <INPUT type=image src="<?=$member_skin_path?>/img/join_ok_btn.gif" border=0 accesskey='s'>
</td></tr>
</table>
<input type="hidden" name="auth_tel" value="<?=$auth_tel?>">
<input type="hidden" name="sms_certify_result" value="<?=$sms_certify_result?>">
</form>
<? if($zm_config[reentrymember]) : ?>
<table align="center" width=880>
<tr>
	<td align="right"><a href="<?=$g4[bbs_path]?>/zm.register_reentry_form.php"><span class="message">탈퇴회원 재가입</span></a></td>
</tr>
</table>
<? endif; ?>

<script type="text/javascript">
$(function() {
    // 폼의 첫번째 입력박스에 포커스 주기 
    $("#fregisterform :input[type=text]:visible:enabled:first").focus(); 
});

function open_sms_certify(skin) {
	var f		= document.fregisterform;
	var objwin	= window.open('', 'sms', 'width=400, height=300, toolbar=0, scrollbars=0');

    f.target	= "sms";
    f.action	= skin + "/zm.sms_certify.skin.php";
    if (objwin == null)
        alert('차단된 팝업창을 허용해 주세요');
    else{
        f.submit();
        objwin.focus();
    }
}

// submit 최종 폼체크
function fregisterform_submit(f) 
{
	<?
    if ($g4[https_url])
        echo "f.action = '$g4[https_url]/$g4[bbs]/register_form_update.php';";
    else
        echo "f.action = './register_form_update.php';";
    ?>

	//-- SMS 인증 검사
	if(sms_certify) {
		var org_tel	= f.mb_hp1.value + "-" + f.mb_hp2.value + "-" + f.mb_hp3.value;

		if(f.sms_certify_result.value != "1"){
			alert("휴대전화 번호(SMS)가 인증 되지 않았습니다. \n다시 인증 받으시기 바랍니다.");
			return false;
		}
		if(org_tel != f.auth_tel.value) {
			alert("휴대전화 번호 입력이 없거나 인증받은 번호가 수정 되었습니다.\n다시 인증 받으시기 바랍니다.");
			return false;
		}
	}

    // 회원아이디 검사
    if (f.w.value == "") {

        reg_mb_id_check();

        if (document.getElementById('mb_id_enabled').value!='000') {
            alert('회원아이디를 입력하지 않았거나 입력에 오류가 있습니다.');
            document.getElementById('reg_mb_id').select();
            return false;
        }
    }

	if(f.w.value == "") {
		if (f.mb_password.value != f.mb_password_re.value) {
	        alert('비밀번호가 같지 않습니다.');
		    f.mb_password_re.focus();
	        return false;
	    }

	    if (f.mb_password.value.length > 0) {
		    if (f.mb_password_re.value.length < 6) {
			    alert('비밀번호를 6글자 이상 입력하십시오.');
				f.mb_password_re.focus();
	            return false;
		    }
		}
    }

	if (typeof f.mb_password_q != 'undefined') {
	    if (f.mb_password_q.value.length < 1) {
		    alert('비밀번호 분실시 질문을 선택하거나 입력하십시오.');
			f.mb_password_q.focus();
	        return false;
		}

	    if (f.mb_password_a.value.length < 1) {
		    alert('비밀번호 분실시 답변을 입력하십시오.');
			f.mb_password_a.focus();
	        return false;
		}
	}

    // 이름 검사
    if (f.w.value=='') {
        if (f.mb_name.value.length < 1) {
            alert('이름을 입력하십시오.');
            f.mb_name.focus();
            return false;
        }

        var pattern = /([^가-힣\x20])/i; 
        if (pattern.test(f.mb_name.value)) {
            alert('이름은 한글로 입력하십시오.');
            f.mb_name.focus();
            return false;
        }
    }

    // 별명 검사
    if ((f.w.value == "") ||
        (f.w.value == "u" && f.mb_nick.defaultValue != f.mb_nick.value)) {

        reg_mb_nick_check();

        if (document.getElementById('mb_nick_enabled').value!='000') {
            alert('별명을 입력하지 않았거나 입력에 오류가 있습니다.');
            document.getElementById('reg_mb_nick').select();
            return false;
        }
    }

    // E-mail 검사
    if ((f.w.value == "") ||
        (f.w.value == "u" && f.mb_email.defaultValue != f.mb_email.value)) {

        reg_mb_email_check();

        if (document.getElementById('mb_email_enabled').value!='000') {
            alert('E-mail을 입력하지 않았거나 입력에 오류가 있습니다.');
            document.getElementById('reg_mb_email').select();
            return false;
        }

        // 사용할 수 없는 E-mail 도메인
        var domain = prohibit_email_check(f.mb_email.value);
        if (domain) {
            alert("'"+domain+"'은(는) 사용하실 수 없는 메일입니다.");
            document.getElementById('reg_mb_email').focus();
            return false;
        }
    }

    if (typeof f.mb_icon != 'undefined') {
        if (f.mb_icon.value) {
            if (!f.mb_icon.value.toLowerCase().match(/.(gif)$/i)) {
                alert('회원아이콘이 gif 파일이 아닙니다.');
                f.mb_icon.focus();
                return false;
            }
        }
    }

    if (typeof(f.mb_recommend) != 'undefined') {
        if (f.mb_id.value == f.mb_recommend.value) {
            alert('본인을 추천할 수 없습니다.');
            f.mb_recommend.focus();
            return false;
        }
    }

    if (!check_kcaptcha(f.wr_key)) {
        return false;
    }

    // 보안인증관련 코드로 반드시 포함되어야 합니다.
    set_cookie("<?=md5($token)?>", "<?=base64_encode($token)?>", 1, "<?=$g4['cookie_domain']?>");

    return true;
}

// 금지 메일 도메인 검사
function prohibit_email_check(email)
{
    email = email.toLowerCase();

    var prohibit_email = "<?=trim(strtolower(preg_replace("/(\r\n|\r|\n)/", ",", $config[cf_prohibit_email])));?>";
    var s = prohibit_email.split(",");
    var tmp = email.split("@");
    var domain = tmp[tmp.length - 1]; // 메일 도메인만 얻는다

    for (i=0; i<s.length; i++) {
        if (s[i] == domain)
            return domain;
    }
    return "";
}

//-- 지역 선택 불러오기
function loadlocal(l) {
	 $.ajax({
            type	: "POST",
            url		: "zm.userinfo_local.php",
			data	: {'local':l},
            success	: function(data){
                $('#mylocal').html(data);
            }
       });
}
</script>
